Bug 1278003 - SmartState analysis fails for users Last Logon on RHEL7 hosts
SmartState analysis fails for users Last Logon on RHEL7 hosts
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.6.1
Assigned To: Ladislav Smola
Ola Pavlenko
openstack:infra:smartstate
: ZStream
Depends On:
Blocks: 1289699
  Show dependency treegraph
 
Reported: 2015-11-04 09:18 EST by Marius Cornea
Modified: 2017-08-29 23:50 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.6.1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1289699 (view as bug list)
Environment:
Last Closed: 2016-08-18 13:44:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gblomqui: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-11-04 09:18:03 EST
Description of problem:
SmartState analysis fails for users Last Logon on RHEL7 nodes. When going to a node users list the Last Logon column is empty for all users.

Version-Release number of selected component (if applicable):
5.5.0.9-beta2.20151102161742_5530c9a

How reproducible:
100%

Steps to Reproduce:
1. Add Openstack Infra Provider
2. Run SSA on the associated nodes
3. Click on one of the nodes
4. Go to Security - Users

Actual results:
The Last Logon column is empty for all users.

Expected results:
The Last Logon column shows the logon times. 

Additional info:

Upstream reported issue and investigation regarding /var/log/wtmp parsing: 
https://github.com/ManageIQ/manageiq/issues/5197
Comment 2 Greg Blomquist 2015-11-05 11:38:59 EST
@rpo,

this is using the image scanning code used by VM smart state to parse the files.  Ladas said that he collects the files via SSH but hands off all the parsing to the C code for parsing.

Can you take a look at this?

Ping Ladas if you need more details.
Comment 3 Rich Oliveri 2015-11-05 13:01:21 EST
I don't have time to look at this now. The fact that he's using the same code to parse the files may not be relevant - given this has only been reported for host scanning.
Comment 10 CFME Bot 2016-06-22 11:51:20 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b3a96711a126f400c6a9a9efb91f5ceadb4b0c6c

commit b3a96711a126f400c6a9a9efb91f5ceadb4b0c6c
Author:     Marek Aufart <maufart@redhat.com>
AuthorDate: Wed Jun 22 10:57:20 2016 +0200
Commit:     Marek Aufart <maufart@redhat.com>
CommitDate: Wed Jun 22 16:42:11 2016 +0200

    Fix SSA user logon on RHEL7
    
    Smart state analysis failed to read user logon time after
    certain amount of logged actions. Reading /var/log/wtmp file
    in binary mode fixes it.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1289699
    https://bugzilla.redhat.com/show_bug.cgi?id=1278003

 gems/pending/metadata/linux/LinuxUsers.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 13 Ido Ovadia 2016-08-07 07:59:28 EDT
Verified
========
5.6.1.0.20160726144018_810a94f
Comment 15 errata-xmlrpc 2016-08-18 13:44:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html

Note You need to log in before you can comment on or make changes to this bug.